package com.example.acapendulum20.model

import android.os.Parcelable
import androidx.room.Entity
import androidx.room.PrimaryKey
import androidx.room.ForeignKey
import com.example.acapendulum20.data.UserDao
import com.example.acapendulum20.data.UserDao_Impl
import kotlinx.android.parcel.Parcelize

@Parcelize
@Entity(tableName = "measurement_table", foreignKeys = [ForeignKey(entity = Session::class,
    parentColumns = arrayOf("id"),
    childColumns = arrayOf("sessionRef"),
    onDelete = ForeignKey.CASCADE)]
)
data class Measurement (
    @PrimaryKey
    val id: String,
    val testNr: Int,
    val targetVelocity: Int,
    val maxAttemptTime: Int,
    val attemptTime: Int,
    val sessionRef: String,

    ): Parcelable

