package com.example.acapendulum20.model

import android.os.Parcelable
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey
import kotlinx.android.parcel.Parcelize

@Parcelize
@Entity(tableName = "session_table", foreignKeys = [ForeignKey(entity = User::class,
    parentColumns = arrayOf("id"),
    childColumns = arrayOf("userRef"),
    onDelete = ForeignKey.CASCADE)])
data class Session (
    @PrimaryKey
    val id: String,
    val sessionStart: Long,
    val sessionEnd: Long,
    val userRef: String,

    ): Parcelable